import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { S as SearchTeamOptions, a as SearchTeamResponse, G as GetRolesInfoOptions, b as GetRolesInfoResponse, U as UpdateTeamMemberAssignmentsOptions, c as UpdateTeamMemberAssignmentsResponse } from './identity-roles-v1-user-users.universal-CDCph1O2.js';
export { ah as AccountInfo, B as AccountInvite, X as AccountResourceContext, s as ApiCondition, aL as ApiInviteAssignment, ai as ApiPolicy, q as ApiResource, aN as AreasFilter, n as AssignedPolicy, aX as AssignedSubject, A as Assignment, aW as AssignmentV3, am as ChangeRoleRequest, an as ChangeRoleResponse, bl as ChangeRoleV2Options, ba as ChangeRoleV2Request, bb as ChangeRoleV2Response, u as CompanionResource, a8 as Condition, C as ConditionAttributeType, a9 as ConditionOperator, aa as ConditionOperatorOperatorsOneOf, $ as ConditionType, a0 as ConditionTypeOfOneOf, ac as ConditionValue, ad as ConditionValueValueOneOf, r as Conditions, aE as Contributor, b6 as CreateCustomRoleRequest, b9 as CreateCustomRoleResponse, b2 as CustomRole, bk as CustomRoleV2, ag as DependOnOperator, D as Direction, E as EditorType, l as Effect, a5 as EnvironmentCondition, a6 as EnvironmentConditionConditionOneOf, ab as EqualOperator, a7 as ExperimentCondition, af as ExperimentOperator, aR as Facet, F as FacetType, aS as FacetValue, az as FolderResource, Q as FullNameResource, T as FullNameResourceResourceContextOneOf, aw as GetPeopleRequest, aA as GetPeopleResponse, aM as GetPoliciesRequest, aO as GetPoliciesResponse, b3 as GetRolesInfoRequest, a_ as GetRolesRequest, a$ as GetRolesResponse, bg as GetRolesV2Request, bh as GetRolesV2Response, as as GetScopesRequest, at as GetScopesResponse, bd as GetSubjectsAssignmentsRequest, be as GetSubjectsAssignmentsResponse, aI as GetTeamInvitesRequest, aJ as GetTeamInvitesResponse, x as GetTeamRequest, z as GetTeamResponse, aH as GetTeamV2Response, aq as GetUsersRequest, ar as GetUsersResponse, H as Host, aK as Invite, M as InviteAssignment, aZ as InviteAssignmentV3, K as InviteResourceAssignment, I as InviteStatus, aY as InviteV3, a4 as JoinedCondition, J as JoinedConditionOperator, ae as LikeOperator, L as LocationsRestriction, N as Name, O as OrderField, aQ as Ordering, Y as OrganizationResourceContext, y as Paging, aB as People, ax as PeopleResource, ay as PeopleResourceResourceTypeOneOf, P as PeopleType, av as PermissionScope, aC as Person, aF as PersonMetaData, aD as PersonPersonOneOf, b7 as Policy, _ as PolicyCondition, b8 as PolicyStatement, k as PolicyType, ak as PredefinedRole, b1 as PredefinedRoleV2, aj as PredefinedRoles, b0 as PredefinedRolesArea, bi as PredefinedRolesAreaV2, ao as RemoveMemberRequest, ap as RemoveMemberResponse, Z as Resource, R as ResourceType, o as Restriction, p as RestrictionRestrictionsOneOf, al as Role, b5 as RoleInfo, bj as RoleInfoV2, h as RoleLevel, i as RoleLevelRestriction, j as RoleVisibility, b4 as RolesInfoFilter, au as ScopeArea, g as ScopeLevel, aP as SearchTeamRequest, a1 as SimpleCondition, f as SimpleConditionOperator, a2 as SimpleConditionValue, a3 as SimpleConditionValueValueOneOf, W as SiteResourceContext, t as SiteRestriction, v as Subject, bf as SubjectAssignments, w as SubjectContext, e as SubjectContextType, d as SubjectType, aG as TeamMember, aT as TeamMemberV3, aU as TeamMemberV3MembersOneOf, bc as UpdateTeamMemberAssignmentsRequest, m as User, aV as UserV3, V as Visibility } from './identity-roles-v1-user-users.universal-CDCph1O2.js';

declare function removeMember$1(httpClient: HttpClient): RemoveMemberSignature;
interface RemoveMemberSignature {
    /**
     * Removes a team member from the requesting account.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - User ID of the team member to remove.
     */
    (userId: string): Promise<void>;
}
declare function searchTeam$1(httpClient: HttpClient): SearchTeamSignature;
interface SearchTeamSignature {
    /**
     * Retrieves all team members of the requesting account, based on the provided filters and free text queries.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Filter options.
     */
    (options?: SearchTeamOptions | undefined): Promise<SearchTeamResponse>;
}
declare function getRolesInfo$1(httpClient: HttpClient): GetRolesInfoSignature;
interface GetRolesInfoSignature {
    /**
     * Retrieves all available roles in the requesting account, including predefined and custom roles.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Filter options.
     */
    (options?: GetRolesInfoOptions | undefined): Promise<GetRolesInfoResponse>;
}
declare function updateTeamMemberAssignments$1(httpClient: HttpClient): UpdateTeamMemberAssignmentsSignature;
interface UpdateTeamMemberAssignmentsSignature {
    /**
     * Updates the assignments of roles and conditions for an existing team member.  Changing assignments changes the team member’s access to account assets.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - ID of team member being affected.
     * @param - Filter options. The `assignmentIdsToRemove` and `newAssignments` fields **must** be passed.
     */
    (userId: string, options: UpdateTeamMemberAssignmentsOptions): Promise<UpdateTeamMemberAssignmentsResponse>;
}

declare const removeMember: MaybeContext<BuildRESTFunction<typeof removeMember$1> & typeof removeMember$1>;
declare const searchTeam: MaybeContext<BuildRESTFunction<typeof searchTeam$1> & typeof searchTeam$1>;
declare const getRolesInfo: MaybeContext<BuildRESTFunction<typeof getRolesInfo$1> & typeof getRolesInfo$1>;
declare const updateTeamMemberAssignments: MaybeContext<BuildRESTFunction<typeof updateTeamMemberAssignments$1> & typeof updateTeamMemberAssignments$1>;

export { GetRolesInfoOptions, GetRolesInfoResponse, SearchTeamOptions, SearchTeamResponse, UpdateTeamMemberAssignmentsOptions, UpdateTeamMemberAssignmentsResponse, getRolesInfo, removeMember, searchTeam, updateTeamMemberAssignments };
