import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { S as SearchTeamOptions, a as SearchTeamResponse, G as GetRolesInfoOptions, b as GetRolesInfoResponse, C as ChangeRoleV2Options, c as ChangeRoleV2Response, U as UpdateTeamMemberAssignmentsOptions, d as UpdateTeamMemberAssignmentsResponse } from './identity-roles-v1-user-users.universal-Drs4mXpg.mjs';
export { aj as AccountInfo, M as AccountInvite, Z as AccountResourceContext, u as ApiCondition, aN as ApiInviteAssignment, ak as ApiPolicy, s as ApiResource, aP as AreasFilter, p as AssignedPolicy, aZ as AssignedSubject, A as Assignment, aY as AssignmentV3, ao as ChangeRoleRequest, ap as ChangeRoleResponse, bc as ChangeRoleV2Request, w as CompanionResource, aa as Condition, e as ConditionAttributeType, ab as ConditionOperator, ac as ConditionOperatorOperatorsOneOf, a1 as ConditionType, a2 as ConditionTypeOfOneOf, ae as ConditionValue, af as ConditionValueValueOneOf, t as Conditions, aG as Contributor, b8 as CreateCustomRoleRequest, bb as CreateCustomRoleResponse, b4 as CustomRole, bl as CustomRoleV2, ai as DependOnOperator, D as Direction, E as EditorType, n as Effect, a7 as EnvironmentCondition, a8 as EnvironmentConditionConditionOneOf, ad as EqualOperator, a9 as ExperimentCondition, ah as ExperimentOperator, aT as Facet, F as FacetType, aU as FacetValue, aB as FolderResource, W as FullNameResource, X as FullNameResourceResourceContextOneOf, ay as GetPeopleRequest, aC as GetPeopleResponse, aO as GetPoliciesRequest, aQ as GetPoliciesResponse, b5 as GetRolesInfoRequest, b0 as GetRolesRequest, b1 as GetRolesResponse, bh as GetRolesV2Request, bi as GetRolesV2Response, au as GetScopesRequest, av as GetScopesResponse, be as GetSubjectsAssignmentsRequest, bf as GetSubjectsAssignmentsResponse, aK as GetTeamInvitesRequest, aL as GetTeamInvitesResponse, z as GetTeamRequest, K as GetTeamResponse, aJ as GetTeamV2Response, as as GetUsersRequest, at as GetUsersResponse, H as Host, aM as Invite, T as InviteAssignment, a$ as InviteAssignmentV3, Q as InviteResourceAssignment, I as InviteStatus, a_ as InviteV3, a6 as JoinedCondition, J as JoinedConditionOperator, ag as LikeOperator, L as LocationsRestriction, N as Name, O as OrderField, aS as Ordering, _ as OrganizationResourceContext, B as Paging, aD as People, az as PeopleResource, aA as PeopleResourceResourceTypeOneOf, P as PeopleType, ax as PermissionScope, aE as Person, aH as PersonMetaData, aF as PersonPersonOneOf, b9 as Policy, a0 as PolicyCondition, ba as PolicyStatement, m as PolicyType, am as PredefinedRole, b3 as PredefinedRoleV2, al as PredefinedRoles, b2 as PredefinedRolesArea, bj as PredefinedRolesAreaV2, aq as RemoveMemberRequest, ar as RemoveMemberResponse, $ as Resource, R as ResourceType, q as Restriction, r as RestrictionRestrictionsOneOf, an as Role, b7 as RoleInfo, bk as RoleInfoV2, j as RoleLevel, k as RoleLevelRestriction, l as RoleVisibility, b6 as RolesInfoFilter, aw as ScopeArea, i as ScopeLevel, aR as SearchTeamRequest, a3 as SimpleCondition, h as SimpleConditionOperator, a4 as SimpleConditionValue, a5 as SimpleConditionValueValueOneOf, Y as SiteResourceContext, v as SiteRestriction, x as Subject, bg as SubjectAssignments, y as SubjectContext, g as SubjectContextType, f as SubjectType, aI as TeamMember, aV as TeamMemberV3, aW as TeamMemberV3MembersOneOf, bd as UpdateTeamMemberAssignmentsRequest, o as User, aX as UserV3, V as Visibility } from './identity-roles-v1-user-users.universal-Drs4mXpg.mjs';

declare function removeMember$1(httpClient: HttpClient): RemoveMemberSignature;
interface RemoveMemberSignature {
    /**
     * Removes a team member from the requesting account.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - User ID of the team member to remove.
     */
    (userId: string): Promise<void>;
}
declare function searchTeam$1(httpClient: HttpClient): SearchTeamSignature;
interface SearchTeamSignature {
    /**
     * Retrieves all team members of the requesting account, based on the provided filters and free text queries.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Filter options.
     */
    (options?: SearchTeamOptions | undefined): Promise<SearchTeamResponse>;
}
declare function getRolesInfo$1(httpClient: HttpClient): GetRolesInfoSignature;
interface GetRolesInfoSignature {
    /**
     * Retrieves all available roles in the requesting account, including predefined and custom roles.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Filter options.
     */
    (options?: GetRolesInfoOptions | undefined): Promise<GetRolesInfoResponse>;
}
/** @internal */
declare function changeRoleV2$1(httpClient: HttpClient): ChangeRoleV2Signature;
interface ChangeRoleV2Signature {
    /**
     * Updates the roles and conditions for an existing team member. Changing roles changes the team member's access to account assets.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - ID of team member being affected.
     */
    (userId: string, options: ChangeRoleV2Options): Promise<ChangeRoleV2Response>;
}
declare function updateTeamMemberAssignments$1(httpClient: HttpClient): UpdateTeamMemberAssignmentsSignature;
interface UpdateTeamMemberAssignmentsSignature {
    /**
     * Updates the assignments of roles and conditions for an existing team member.  Changing assignments changes the team member’s access to account assets.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - ID of team member being affected.
     * @param - Filter options. The `assignmentIdsToRemove` and `newAssignments` fields **must** be passed.
     */
    (userId: string, options: UpdateTeamMemberAssignmentsOptions): Promise<UpdateTeamMemberAssignmentsResponse>;
}

declare const removeMember: MaybeContext<BuildRESTFunction<typeof removeMember$1> & typeof removeMember$1>;
declare const searchTeam: MaybeContext<BuildRESTFunction<typeof searchTeam$1> & typeof searchTeam$1>;
declare const getRolesInfo: MaybeContext<BuildRESTFunction<typeof getRolesInfo$1> & typeof getRolesInfo$1>;
/** @internal */
declare const changeRoleV2: MaybeContext<BuildRESTFunction<typeof changeRoleV2$1> & typeof changeRoleV2$1>;
declare const updateTeamMemberAssignments: MaybeContext<BuildRESTFunction<typeof updateTeamMemberAssignments$1> & typeof updateTeamMemberAssignments$1>;

export { ChangeRoleV2Options, ChangeRoleV2Response, GetRolesInfoOptions, GetRolesInfoResponse, SearchTeamOptions, SearchTeamResponse, UpdateTeamMemberAssignmentsOptions, UpdateTeamMemberAssignmentsResponse, changeRoleV2, getRolesInfo, removeMember, searchTeam, updateTeamMemberAssignments };
