"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  changeRoleV2: () => changeRoleV22,
  getRolesInfo: () => getRolesInfo2,
  removeMember: () => removeMember2,
  searchTeam: () => searchTeam2,
  updateTeamMemberAssignments: () => updateTeamMemberAssignments2
});
module.exports = __toCommonJS(meta_exports);

// src/identity-roles-v1-user-users.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressRolesManagementApiRolesManagementServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/contributors/accept",
        destPath: "/contributors/accept"
      },
      {
        srcPath: "/roles-management-web",
        destPath: ""
      },
      {
        srcPath: "/team/accept",
        destPath: "/team/accept"
      },
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      },
      {
        srcPath: "/app/accept",
        destPath: "/app/accept"
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/roles-management-web",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      },
      {
        srcPath: "/roles-management-web",
        destPath: ""
      },
      {
        srcPath: "/contributors/accept",
        destPath: "/contributors/accept"
      },
      {
        srcPath: "/team/accept",
        destPath: "/team/accept"
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_api/roles-management-web",
        destPath: ""
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/v2/contributors",
        destPath: "/v2/contributors"
      },
      {
        srcPath: "/contributor/change/role",
        destPath: "/contributor/change/role"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/roles-management",
        destPath: ""
      },
      {
        srcPath: "/roles-management-web",
        destPath: ""
      },
      {
        srcPath: "/roles-management/roles",
        destPath: "/roles"
      },
      {
        srcPath: "/roles-management/team",
        destPath: "/team"
      },
      {
        srcPath: "/roles-management/v3/team",
        destPath: "/v3/team"
      },
      {
        srcPath: "/roles-management/v2/team",
        destPath: "/v2/team"
      },
      {
        srcPath: "/roles-management/contributor/change",
        destPath: "/contributor/change"
      },
      {
        srcPath: "/roles-management/v2/contributors",
        destPath: "/v2/contributors"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_user-management_users";
function removeMember(payload) {
  function __removeMember({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.roles.v1.user",
      method: "POST",
      methodFqn: "com.wixpress.roles.management.api.RolesManagementService.RemoveMember",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressRolesManagementApiRolesManagementServiceUrl({
        protoPath: "/team/remove",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __removeMember;
}
function searchTeam(payload) {
  function __searchTeam({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.roles.v1.user",
      method: "POST",
      methodFqn: "com.wixpress.roles.management.api.RolesManagementService.SearchTeam",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressRolesManagementApiRolesManagementServiceUrl({
        protoPath: "/v3/team/search",
        data: payload,
        host
      }),
      data: payload,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "teamMembers.user.joinedTeamAt" },
            { path: "teamMembers.invite.dateCreated" },
            { path: "teamMembers.invite.dateUpdated" },
            { path: "teamMembers.invite.expirationDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __searchTeam;
}
function getRolesInfo(payload) {
  function __getRolesInfo({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.roles.v1.user",
      method: "GET",
      methodFqn: "com.wixpress.roles.management.api.RolesManagementService.GetRolesInfo",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressRolesManagementApiRolesManagementServiceUrl({
        protoPath: "/roles",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __getRolesInfo;
}
function changeRoleV2(payload) {
  function __changeRoleV2({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.roles.v1.user",
      method: "PATCH",
      methodFqn: "com.wixpress.roles.management.api.RolesManagementService.ChangeRoleV2",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressRolesManagementApiRolesManagementServiceUrl({
        protoPath: "/v2/team/roles",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __changeRoleV2;
}
function updateTeamMemberAssignments(payload) {
  function __updateTeamMemberAssignments({ host }) {
    const metadata = {
      entityFqdn: "wix.identity.roles.v1.user",
      method: "PATCH",
      methodFqn: "com.wixpress.roles.management.api.RolesManagementService.UpdateTeamMemberAssignments",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressRolesManagementApiRolesManagementServiceUrl({
        protoPath: "/v2/team/assignments",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __updateTeamMemberAssignments;
}

// src/identity-roles-v1-user-users.meta.ts
function removeMember2() {
  const payload = {};
  const getRequestOptions = removeMember(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/team/remove",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function searchTeam2() {
  const payload = {};
  const getRequestOptions = searchTeam(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v3/team/search",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function getRolesInfo2() {
  const payload = {};
  const getRequestOptions = getRolesInfo(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/roles",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function changeRoleV22() {
  const payload = {};
  const getRequestOptions = changeRoleV2(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PATCH",
    path: "/v2/team/roles",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function updateTeamMemberAssignments2() {
  const payload = {};
  const getRequestOptions = updateTeamMemberAssignments(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "PATCH",
    path: "/v2/team/assignments",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  changeRoleV2,
  getRolesInfo,
  removeMember,
  searchTeam,
  updateTeamMemberAssignments
});
//# sourceMappingURL=meta.js.map